Package org.h2gis.functions.spatial.properties

## Class ST_Explode.ExplodeResultSetQuery

- java.lang.Object
- - org.h2gis.functions.spatial.properties.ST_Explode.ExplodeResultSet
  - - org.h2gis.functions.spatial.properties.ST_Explode.ExplodeResultSetQuery

All Implemented Interfaces:
  `org.h2.tools.SimpleRowSource`

Enclosing class:
  ST_Explode

    public static class ST_Explode.ExplodeResultSetQuery
    extends ST_Explode.ExplodeResultSet

Explode fields only on request The input data must be a SELECT expression that contains a geometry column

### Field Summary

### Fields inherited from class org.h2gis.functions.spatial.properties.ST_Explode.ExplodeResultSet

`columnCount, connection, explodeId, firstRow, sourceRowGeometries, spatialFieldIndex, spatialFieldName, tableName, tableQuery`

### Constructor Summary

Constructors
`ExplodeResultSetQuery​(Connection connection, String tableName, String spatialFieldName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ResultSet` `getResultSet()` Return the exploded geometries as multiple rows
`void` `reset()`

### Methods inherited from class org.h2gis.functions.spatial.properties.ST_Explode.ExplodeResultSet

`close, readRow`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExplodeResultSetQuery

    public ExplodeResultSetQuery​(Connection connection,
                                 String tableName,
                                 String spatialFieldName)
                          throws SQLException

Throws:
  `SQLException`

### Method Detail

#### reset

    public void reset()
               throws SQLException

Specified by:
  `reset` in interface `org.h2.tools.SimpleRowSource`
Overrides:
  `reset` in class `ST_Explode.ExplodeResultSet`
Throws:
  `SQLException`

#### getResultSet

    public ResultSet getResultSet()
                           throws SQLException

Description copied from class: `ST_Explode.ExplodeResultSet`
Return the exploded geometries as multiple rows

Overrides:
  `getResultSet` in class `ST_Explode.ExplodeResultSet`
Returns:
  ResultSet
Throws:
  `SQLException`